# psb_cd_get_context--Get communication context
Keywords: userhtml

Next: psb_cd_get_large_threshold Get Up: Data Structures Previous: psb_cd_get_global_cols Get Contents

##
psb_cd_get_context--Get communication context

    ictxt = psb_cd_get_context(desc)

Type:
  Asynchronous.
On Entry
desc
  the communication descriptor.
  Scope: local.
  Type: required.
  Intent: in.
  Specified as: a structured data of type descdata`psb_desc_type`.

On Return
Function value
  The communication context.

Subsections

- psb_cd_get_large_threshold -- Get threshold for index mapping switch
- psb_cd_set_large_threshold -- Set threshold for index mapping switch
- psb_sp_get_nrows -- Get number of rows in a sparse matrix
- psb_sp_get_ncols -- Get number of columns in a sparse matrix
- psb_sp_get_nnzeros -- Get number of nonzero elements in a sparse matrix